<script lang="ts" setup>
import { ref } from 'vue'
import type { VSheet } from 'vuetify/components'
import { usePosStore } from '../stores/pos'

const pos = usePosStore()

const div = ref<HTMLElement | null>(null)

const scrollToBottom = () => {
  div.value!.scrollTo(0, div.value!.scrollHeight)
}
const props = withDefaults(
  defineProps<{
    editable: boolean
  }>(),
  { editable: true }
)

defineExpose({
  scrollToBottom
})
</script>
<template>
  <div class="overflow-auto" ref="div">
    <v-sheet min-width="300" height="280" flat>
      <v-table>
        <thead>
          <tr>
            <td>#</td>
            <td>รายการ</td>
            <td>ราคา</td>
            <td>จำนวน</td>
            <td>รวม</td>
            <td></td>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in pos.tempReceipt.receiptItems" :key="index">
            <td>{{ index + 1 }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.price }}</td>
            <td>
              <v-btn
                v-if="props.editable === true"
                icon="mdi-minus"
                density="compact"
                @click="
                  () => {
                    pos.decUnitOfReceiptItem(item)
                  }
                "
              ></v-btn
              ><span class="pl-3 pr-3">{{ item.unit }}</span>
              <v-btn
                v-if="props.editable === true"
                icon="mdi-plus"
                density="compact"
                @click="
                  () => {
                    pos.incUnitOfReceiptItem(item)
                  }
                "
              ></v-btn>
            </td>
            <td>{{ item.price * item.unit }}</td>
            <td>
              <v-btn
                v-if="props.editable === true"
                density="compact"
                icon="mdi-delete"
                color="red"
                @click="
                  () => {
                    pos.removeItem(item)
                  }
                "
              ></v-btn>
            </td>
          </tr>
        </tbody>
      </v-table>
    </v-sheet>
  </div>
</template>
